-- name: [CS] MONTY MOLE
-- description: Diggin' its way directly to Mario 64! \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!



local E_MODEL_MONTY = smlua_model_util_get_id("monty_player_geo")

local TEX_MONTY = get_texture_info("monty_player_icon")

local TEXT_MOD_NAME = "[CS] MONTY MOLE"

local VOICETABLE_MONTY = {
    [CHAR_SOUND_ATTACKED] = 'CHAR_SOUND_ATTACKED.ogg',
    [CHAR_SOUND_DOH] = 'CHAR_SOUND_DOH.ogg',
    [CHAR_SOUND_DROWNING] = 'CHAR_SOUND_DROWNING.ogg',
    [CHAR_SOUND_DYING] = 'CHAR_SOUND_DYING.ogg',
    [CHAR_SOUND_EEUH] = 'CHAR_SOUND_EEUH.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'CHAR_SOUND_GROUND_POUND_WAH.ogg',
    [CHAR_SOUND_HAHA] = 'CHAR_SOUND_HAHA.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'CHAR_SOUND_HERE_WE_GO.ogg',
    [CHAR_SOUND_HOOHOO] = 'CHAR_SOUND_HOOHOO.ogg',
    [CHAR_SOUND_HRMM] = 'CHAR_SOUND_HRMM.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'CHAR_SOUND_LETS_A_GO.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'CHAR_SOUND_MAMA_MIA.ogg',
    [CHAR_SOUND_ON_FIRE] = 'CHAR_SOUND_ON_FIRE.ogg',
    [CHAR_SOUND_OOOF] = 'CHAR_SOUND_OOOF.ogg',
    [CHAR_SOUND_OOOF2] = 'CHAR_SOUND_OOOF2.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'CHAR_SOUND_PUNCH_HOO.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'CHAR_SOUND_PUNCH_WAH.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'CHAR_SOUND_PUNCH_YAH.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'CHAR_SOUND_SO_LONGA_BOWSER.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'CHAR_SOUND_TWIRL_BOUNCE.ogg',
    [CHAR_SOUND_UH] = 'CHAR_SOUND_UH.ogg',
    [CHAR_SOUND_UH2] = 'CHAR_SOUND_UH2.ogg',
    [CHAR_SOUND_UH2_2] = 'CHAR_SOUND_UH2_2.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'CHAR_SOUND_WAAAOOOW.ogg',
    [CHAR_SOUND_WAH2] = 'CHAR_SOUND_WAH2.ogg',
    [CHAR_SOUND_WHOA] = 'CHAR_SOUND_WHOA.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'CHAR_SOUND_YAH_WAH_HOO.ogg',
    [CHAR_SOUND_YAHOO] = 'CHAR_SOUND_YAHOO.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'CHAR_SOUND_YAHOO_WAHA_YIPPEE.ogg',
}

local capMONTY = {
    normal = smlua_model_util_get_id("monty_players_cap_geo"),
    wing = smlua_model_util_get_id("monty_players_wing_cap_geo"),
    metal = smlua_model_util_get_id("monty_players_metal_cap_geo"),
    metalWing = smlua_model_util_get_id("monty_players_metal_wing_cap_geo")
}

local PALETTE_MONTY = {
    [SHIRT] = "C88200",
    [SHOES] = "ffffff",
    [HAIR] = "807066",
    [CAP] = "C88200",
    [PANTS] = "01DE00",
    [GLOVES] = "ffffff",
    [SKIN] = "FBE895",
    [EMBLEM] = "C88200",
}




if _G.charSelectExists then
    CT_MONTY = _G.charSelect.character_add("Monty Mole", "A Monty mole with a cute lil' cap from Mario Sunshine", "Melzinoff", {r = 255, g = 200, b = 200}, E_MODEL_MONTY, CT_MARIO, TEX_MONTY)

    _G.charSelect.character_add_caps(E_MODEL_MONTY, capMONTY)

    _G.charSelect.character_add_palette_preset(E_MODEL_MONTY, PALETTE_MONTY)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_MONTY, VOICETABLE_MONTY)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MONTY then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MONTY then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
